#version 400
layout(location = IGLU_VERTEX)   in vec3 vertex;
layout(location = IGLU_TEXCOORD) in vec2 texCoord;

out vec2 fragTexCoord;

void main( void ) 
{
    gl_Position = vec4( vertex, 1.0f );
    fragTexCoord = texCoord;
}